#!/usr/bin/python
import matplotlib as mpl;
mpl.use('Agg');
from matplotlib import pyplot as plt
import numpy as np
import matplotlib
stdFont = 22;
mpl.rc('lines', linewidth=4);
mpl.rc('xtick', labelsize=stdFont);
mpl.rc('ytick', labelsize=stdFont);
mpl.rc('axes', labelsize=stdFont);
mpl.rc('legend', fontsize=stdFont);
mpl.rc('legend', labelspacing=0);
mpl.rc('legend', borderpad=0.15);
mpl.rc('legend', handletextpad=.0);
titlefont = 33;
plt.clf();
fig = plt.figure();
Ybikes = [48, 64, 70, 75, 72, 68, 75, 73, 81];
Xbikes = [5, 8, 11, 14, 17, 20, 23, 26, 29];
YchairsFC = [51, 40, 47, 48, 47, 54, 47, 55, 49];
XchairsFC = [5, 8, 11, 14, 17, 20, 23, 26, 29];
Ykaick = [44, 59, 53, 58, 52, 65, 70, 70, 67];
Xkaick = [5, 8, 11, 14, 17, 20, 23, 26, 29];
Ygym = [6, 8, 13, 16, 17, 16, 30, 28, 31];
Xgym = [4, 7, 9, 12, 14, 16, 19, 21, 24];
Ycockpits = [32, 37, 42, 47, 45, 47, 56, 57, 50];
Xcockpits = [4, 6, 8, 10, 12, 14, 16, 18, 20];
Yother = [36, 48, 35, 35, 54];
Xother = [2, 4, 6, 8, 10];
plt.plot(Xbikes, Ybikes, color=(1, 0, 0));
plt.plot(XchairsFC, YchairsFC, color=(0, 0, 0));
plt.plot(Xkaick, Ykaick, color=(0, 0, 1));
plt.plot(Xcockpits, Ycockpits, color=(0, .7, 0));
plt.plot(Xother, Yother, color=(1, 0, 1));
plt.plot(Xgym, Ygym, color=(.5, .5, .5));
plt.ylim([0, 100]);
legendNames = ['Bicycles', 'Chairs', 'Bipedals', 'Cockpits', 'Carts', 'Gym. Eq.'];
plt.xlabel('N Models');
plt.ylabel('Accuracy');
plt.text(1, 90, "At 10cm", fontsize=titlefont);
plt.savefig("./split_March14/combined/0_slice10.0.pdf");
plt.savefig("./split_March14/combined/0_slice10.0.png");
